Master Data
Get Style
Get a style by ID.
GET
/
styles
/
{style_id}
Get Style
curl --request GET \
--url https://vinmake-erp.onrender.com/styles/{style_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vinmake-erp.onrender.com/styles/{style_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vinmake-erp.onrender.com/styles/{style_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"documentId": "<string>",
"clientId": "<string>",
"refId": "<string>",
"description": "<string>",
"name": "<string>",
"clientName": "<string>",
"merchandiser": "<string>",
"picture": "<string>",
"skus": [
{
"id": "<string>",
"documentId": "<string>",
"masterStyleId": "<string>",
"color": "<string>",
"size": "<string>"
}
],
"rfqs": [
{
"id": "<string>",
"client": "<string>",
"status": "<string>",
"requestedDate": "<string>",
"responseDue": "<string>",
"quotedPrice": 0
}
],
"costSheets": [
{
"id": "<string>",
"version": 123,
"currency": "<string>",
"materialCost": 123,
"processingCost": 123,
"totalCost": 123,
"status": "<string>"
}
],
"boms": [
{
"id": "<string>",
"version": 123,
"materialName": "<string>",
"type": "<string>",
"consumption": 123,
"unitCost": 123,
"totalCost": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
Successful Response
Schema for style response - uses camelCase per API_STANDARDS
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get Style
